/******************************************************************************
*	File		-	wren_script.h
*	Author		-	Joey Pollack
*	Date		-	2022/10/25 (y/m/d)
*	Mod Date	-	2022/10/25 (y/m/d)
*	Description	-	Wraps a string that contains a wren script.
******************************************************************************/
#ifndef LUNARIUM_WREN_SCRIPT_H_
#define LUNARIUM_WREN_SCRIPT_H_

#include <string>

namespace lunarium
{
    class WrenScript
    {
    public:
        WrenScript(std::string module_name = "", std::string code = "");

        void SetModuleName(std::string name);
        void SetScriptCode(std::string code);
        void AppendScriptCode(std::string code);
        void ClearScript();

        std::string GetModuleName() const;
        std::string GetScriptCode() const;

    private:
        std::string mModuleName;
        std::string mCode;
    };
}

#endif	// LUNARIUM_WREN_SCRIPT_H_